Subject: Re: use generic DMA mapping code in powerpc V4

From: Christoph Hellwig <[email-masked]>
Date: Mon, 11 Feb 2019 08:41:59 +0100

On Sat, Feb 09, 2019 at 09:10:58PM +0000, Darren Stevens wrote:
> Hello Christoph
> 
> On 08/02/2019, Christoph Hellwig wrote:
> > On Fri, Feb 08, 2019 at 10:01:46AM +0100, Christian Zigotzky wrote:
> >> Hi Christoph,
> >>
> >> Your new patch fixes the problems with the P.A. Semi Ethernet! :-)
> >
> > Thanks a lot once again for testing!
> >
> > Now can you test with this patch and the whole series?
> >
> > I've updated the powerpc-dma.6 branch to include this fix.
> 
> Update: I found the following in my dmesg, think it points to an of-by-one error in the pfn selection:

I don't think this is an off by one, it is just that the FSL e500-ish
SOCs have a very odd memory map.